Summary:        Utility to capture video from a DV camera
Name:           dvgrab
Version:        3.0
Release:        1.1%{?dist}
License:        GPL
Group:          Applications/Multimedia
URL:            http://www.kinodv.org/
Source:         http://dl.sf.net/kino/dvgrab-%{version}.tar.gz
Patch0:         dvgrab-3.0-fixes.patch
Patch1:		dvgrab-3.0-non-dv-hang.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libraw1394-devel libavc1394-devel libdv-devel libiec61883-devel
BuildRequires:  libjpeg-devel libpng-devel libogg-devel libvorbis-devel
ExcludeArch:    s390 s390x

%description
The dvgrab utility will capture digital video from a DV source on the firewire
(IEEE-1394) bus.

%prep
%setup -q
%patch0 -p1
%patch1 -p0 -b .bz477183

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc README COPYING ChangeLog NEWS
%{_bindir}/dvgrab
%{_mandir}/man1/dvgrab.1*

%changelog
* Tue Oct 26 2010 Jay Fenlason <fenlason@redhat.com> - 3.0-1.1
- Include -non-dv-hang patch
  Resolves: rhbz#477183

* Mon Dec 10 2007 Jarod Wilson <jwilson@redhat.com> - 3.0-1
- Update to dvgrab 3.0
- Fix segfault on cleanup (#410621)
- fix pipe output in conjunction with file capture
- fix hang at end of reading from stdin
- fix potential data loss due to short writes

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.0-1.2.2
- rebuild

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.0-1.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.0-1.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Nov 10 2005 Matthias Saou <http://freshrpms.net/> 2.0-1
- Update to 2.0.

* Wed Mar 16 2005 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 28 2005 Warren Togami <wtogami@redhat.com> 1.7-2
- gcc4 rebuild

* Sun Feb 06 2005 Warren Togami <wtogami@redhat.com> 1.7-1
- 1.7

* Sun Sep 19 2004 Warren Togami <wtogami@redhat.com> 1.6-1
- upgrade to 1.6

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Apr 05 2004 Warren Togami <wtogami@redhat.com> 1.5-2
- rebuild against new libdv

* Thu Feb 12 2004 Warren Togami <wtogami@redhat.com> 1.5-1
- upgrade to 1.5
- spec cleanups
- remove INSTALL, TODO; Add NEWS
- Now requires libdv, docs say it is much faster and better output than raw1394
- BuildRequires libraw1394-devel, libavc1394-devel, libdv-devel, libjpeg-devel,
  libpng-devel, libogg-devel, libvorbis-devel

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 22 2003 Jeremy Katz <katzj@redhat.com> 1.01-9
- fix build on gcc 3.3 (include <assert.h>)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Dec 12 2002 Tim Powers <timp@redhat.com> 1.01-7
- rebuild on all arches

* Wed Nov 20 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- exclude on mainframe

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Tue Jul 23 2002 Tim Powers <timp@redhat.com>
- build using gcc-3.2-0.1

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 09 2002 Michael Fulbright <msf@redhat.com>
- First RPM build

